package com.adc.da.vdaims.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 打印状态
 */
@Getter
@AllArgsConstructor
public enum PrintStatus {

    NOT_PRINT("未打印", "0"),
    REF_PRINT("已参考打印", "1"),
    PRINTED("已打印", "2"),
    NONE("", ""),
    ;
    String name;
    String value;

    public static PrintStatus getByValue(String value) {
        for (PrintStatus item : values()) {
            if (item.getValue().equals(value)) {
                return item;
            }
        }
        return NONE;
    }
}
