package com.adc.da.vdaims.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 模板类型
 */
@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum TemplateType {

    TEMPLATE_1("M1、 M1G -完整单阶段- 纯电动.docx", "M1M1G", "完整单阶段", "1"),
    TEMPLATE_2("M1、M1G-完整单阶段-插电式混合动力.docx", "M1M1G", "完整单阶段", "2"),
    TEMPLATE_3("M1、M1G-完整单阶段-柴汽油.docx", "M1M1G", "完整单阶段", "3"),
    TEMPLATE_4("M2、 M3-完整单阶段-柴汽油 .docx", "M2M3", "完整单阶段", "4"),
    TEMPLATE_5("M2、 M3-完整单阶段-纯电动.docx", "M2M3", "完整单阶段", "5"),
    TEMPLATE_6("N1、 N1G - 不完整单阶段-柴汽油.docx", "N1N1G", "不完整单阶段", "6"),
    TEMPLATE_7("N1、 N1G - 完整单阶段 - 柴汽油.docx", "N1N1G", "完整单阶段", "7"),
    TEMPLATE_8("N1、 N1G - 完整单阶段 - 纯电动.docx", "N1N1G", "完整单阶段", "8"),
    TEMPLATE_9("N2、 N3、 N2G、 N3G - 不完整单阶段-柴汽油 .docx", "N2N3N2GN3G", "不完整单阶段", "9"),
    TEMPLATE_10("N2、 N3、 N2G、 N3G - 不完整单阶段-纯电动.docx", "N2N3N2GN3G", "不完整单阶段", "10"),
    TEMPLATE_11("N2、 N3、 N2G、 N3G - 完整单阶段-柴汽油.docx", "N2N3N2GN3G", "完整单阶段", "11"),
    TEMPLATE_12("N2、 N3、 N2G、 N3G - 完整单阶段-纯电动.docx", "N2N3N2GN3G", "完整单阶段", "12"),
    TEMPLATE_13("N2N3-不完整单阶段车辆-插电式混合动力.docx", "N2N3","不完整单阶段", "13"),
    NONE("", "", "", ""),
    ;
    String name;
    String autoType;
    String cocAutoType;
    String value;

    public static TemplateType getByValue(String value) {
        for (TemplateType item : values()) {
            if (item.getValue().equals(value)) {
                return item;
            }
        }
        return NONE;
    }
}
