package com.adc.da.vdaims.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 一致性上传webService返回code
 */
@Getter
@AllArgsConstructor
public enum VinUploadRes {

    CD_100("成功", "100"),
    CD_101("未收到随机串", "101"),
    CD_102("认证过期", "102"),
    CD_107("当前key 与系统内用户未绑定", "107"),
    CD_108("证书无效", "108"),
    CD_109("签名验证失败", "109"),
    CD_200("VIN相关信息不正确", "200"),
    CD_203("vin号码错误,不能为空", "203"),
    CD_204("VIN检验码不正确", "204"),
    CD_205("本次上传列表中存在 vin 重复", "205"),
    CD_206("COC在当前厂商关系下不存在", "206"),
    CD_207("发动机号不能为空", "207"),
    CD_208("颜色不能为空", "208"),
    CD_209("日期填写有问题，请按照毫秒数填写", "209"),
    CD_210("制造日期早于 2015 年 1 月 1 日，2015 年 1 月 1 日之前的数据不需要上传。", "210"),
    CD_211("制造日期晚于当天日期，车辆未生产不允许上传。", "211"),
    CD_301("VIN未查到", "301"),
    NONE("", ""),
    ;
    String name;
    String value;

    public static VinUploadRes getByValue(String value) {
        for (VinUploadRes item : values()) {
            if (item.getValue().equals(value)) {
                return item;
            }
        }
        return NONE;
    }
}
